| WideStudio Programming Guide | WideStudio Index Table of contents

> ## How to execute the event procedures of the instances

> You can execute the event procedures which the instances have with the method: WSCbase::execProcedure .

> Executing the event procedure | Description
> execProcedure(char*) | Executing by name
> execProcedure(long) | Executing by trigger

> ### How to execute the event procedures by the specified name

> You can execute the event procedures which the instances have by the specified name with the method: WSCbase::execProcedure(char*).

>     def event_procedure(object):
>       # Execute the event procedures which name is "setup"
>       object.execProcedure("setup");
>       return
>     mpfc.WSGFfunctionRegister("event_procedure",event_procedure)

> If exists the event procedures of the instance: "object", which name is same as the specified one, It executes it,but not , does nothing.

> ### How to execute the event procedures by the specified trigger

> You can execute the event procedures which the instances have by the specified trigger with the method: WSCbase::execProcedure(int).

>     def event_procedure(WSCbase* object):
>       # Execute the procedures which trigger is WSEV_ACTIVATE.
>       object.execProcedure(mpfc.WSEV_ACTIVATE);
>       return
>     mpfc.WSGFfunctionRegister("event_procedure",event_procedure)

> If exists the event procedures of the instance: "object", which trigger is same as the specified one, It executes it,but not , does nothing.

Document Release 3.70 for WideStudio ver 3.70, May 2004

WideStudio documents index | Table of contents

Copyright(C) WideStudio Development Team, 1999-2004 | Last modified: May 25, 2004